Перейти к содержимому

GET /templates/{templateID}/builds/{buildID}/logs

Template build logs

Get template build logs

Параметры

  • templateID · string · путь · обязательно

  • buildID · string · путь · обязательно

  • pageCursor · string · запрос · необязательно

    Opaque continuation cursor returned as nextCursor by the previous page

    Максимальная длина: 512

  • cursor · integer · запрос · необязательно

    Starting timestamp of the logs that should be returned in milliseconds

    Формат: int64

    Минимум: 0

  • limit · integer · запрос · необязательно

    Maximum number of logs that should be returned

    Формат: int32

    По умолчанию: 100

    Минимум: 0

    Максимум: 100

  • direction · LogsDirection · запрос · необязательно

    Direction of the logs that should be returned

    Допустимые значения для LogsDirection: forward | backward

  • level · LogLevel · запрос · необязательно

    State of the sandbox

    Допустимые значения для LogLevel: debug | info | warn | error

  • source · LogsSource · запрос · необязательно

    Source of the logs that should be returned from

    Допустимые значения для LogsSource: temporary | persistent

Ответы

200

Successfully returned the template build logs

Content-Type: application/json

Схема: TemplateBuildLogsResponse

  • logs · array<BuildLogEntry> · обязательно

    Build logs structured

    По умолчанию: []

  • logs.id · string · необязательно

    Stable identifier used to reconcile overlapping live log pages

  • logs.timestamp · string · обязательно

    Timestamp of the log entry

    Формат: date-time

  • logs.message · string · обязательно

    Log message content

  • logs.level · LogLevel · обязательно

    State of the sandbox

    Допустимые значения для LogLevel: debug | info | warn | error

  • logs.step · string · необязательно

    Step in the build process related to the log entry

  • nextCursor · string · необязательно

    Opaque continuation cursor for the next page

  • source · LogsSource · необязательно

    Actual source used to serve this page

    Допустимые значения для LogsSource: temporary | persistent

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error